#define NOCOMM
#define _WINDOWS
#include <windows.h>

#define NUMALLOC (130000UL)

#include "smalloc.h"

static char szAppName[]="SMTest2";

int PASCAL WinMain(HANDLE hInstance,HANDLE hPrevInstance,LPSTR lpszCmdLine,
	int nCmdShow)
{
	SMERRORENUM smee=SMEE_OK;
	LOCALHANDLE lhts=NULL;

	hInstance+=0;
	hPrevInstance+=0;
	lpszCmdLine+=0;
	nCmdShow+=0;

	SMInit();

	if ((smee=SMTypeAlloc(4096,16,SMEM_SWAPEMS | SMEM_SWAPFILE,&lhts))!=
		SMEE_OK)
	{
		char sz[128];
		wsprintf(sz,"SMTypeAlloc Error #%d",smee);
		MessageBox(NULL,sz,szAppName,MB_OK);
		return 0;
	}

	MessageBox(NULL,"Type Alloced",szAppName,MB_OK);
	{
		DWORD dw;

		for (dw=0UL;dw<NUMALLOC;dw++)
		{
			SMHANDLE smh;
			if ((smee=SMAlloc(lhts,16,&smh))!=SMEE_OK)
			{
				char sz[128];

				wsprintf(sz,"SMAlloc 5 Error #%d @%d",smee,dw);
				MessageBox(NULL,sz,szAppName,MB_OK);
				return 0;
			}

			if ((LOWORD(dw) & 0x7FF)==0)
			{
				OutputDebugString(".");
			}
		}
		MessageBox(NULL,"NUMALLOC Allocated",szAppName,MB_OK);
	}
	if ((smee=SMTypeFree(lhts))!=SMEE_OK)
	{
		char sz[128];
		wsprintf(sz,"SMTypeFree Error #%d",smee);
		MessageBox(NULL,sz,szAppName,MB_OK);
		return 0;
	}
	MessageBox(NULL,"Check for locks...",szAppName,MB_OK);

	return 0;
}
